Subject: [bug#44575] splitting

From: [email-masked]
Date: Tue, 14 Jun 2022 12:56:18 -0400

Hi,

thanks for posting this patch.

I myself use nerd-fonts FiraCode and cant see a benefit to install >1GB 
of fonts when all I would like to get is just one of the variant.

I do think this should be split by fonts that people find useful. Nerd 
fonts has a long list of patched fonts, I think this effort could focus 
on the most popular ones to start with.

To go around this, I modified this patch to be firacode specific with a 
url-fetch method, a url pointing to 
https://github.com/ryanoasis/nerd-fonts/releases/download/v2.1.0/FiraCode.zip, 
and installed this  font-nerd-fonts-firacode guix package.

It does work for me.

what do you think?

Benoit